import { Compiler } from 'webpack';
interface ReplaceConfig {
    position?: 'before' | 'after';
    removeTarget?: boolean;
    target: string;
}
interface Config {
    filter?(fileName: string): boolean;
    leaveCSSFile?: boolean;
    replace?: ReplaceConfig;
}
interface ConfigOfAddStyle {
    html: string;
    htmlFileName: string;
    style: string;
    replaceConfig: ReplaceConfig;
}
export default class Plugin {
    private readonly config;
    static addStyle({ html, htmlFileName, replaceConfig, style, }: ConfigOfAddStyle): string;
    static removeLinkTag(html: string, cssFileName: string): string;
    static cleanUp(html: string, replaceConfig: ReplaceConfig): string;
    private css;
    constructor(config?: Config);
    private getCSSFile;
    private isCurrentFileNeedsToBeInlined;
    private prepare;
    private process;
    apply(compiler: Compiler): void;
}
export {};
